// ---------------------------------------------------------------------------
function java_lang_Object() {}

	java_lang_Object.prototype.c = function() {}
	
	java_lang_Object.prototype.equals = function(obj)
	{
		return this == obj;
	}
	
	java_lang_Object.prototype.toString = function()
	{
		return "";
	}

// ---------------------------------------------------------------------------
function ConsolePrintStream() {}

	ConsolePrintStream.prototype.c = function() {}
	
	ConsolePrintStream.prototype.println = function(what)
	{
		alert(what);
	}

// ---------------------------------------------------------------------------
function java_lang_System() {}

	java_lang_System.err = new ConsolePrintStream();
	java_lang_System.out = new ConsolePrintStream();
	java_lang_System.prototype.c = function() {}

// ---------------------------------------------------------------------------
function java_lang_String() { this.str = ""; }

	java_lang_String.valueOf = function(obj) { return "" + obj; }
	
	java_lang_String.prototype.c = function(str)
	{
		if(str == null) str = "";
		this.str = str;
	}
	
	java_lang_String.prototype.toString = function()
	{
		return this.str;
	}
	
	java_lang_String.prototype.charAt = function(index)
	{
		return this.str[index];
	}

// ---------------------------------------------------------------------------
function java_lang_StringBuilder() { this.str = ""; }

	java_lang_StringBuilder.prototype.c = function(str)
	{
		if(str == null) str = "";
		this.str = str;
	}
	
	java_lang_StringBuilder.prototype.append = function(str)
	{
		this.str += str;
		return this;
	}
	
	java_lang_StringBuilder.prototype.toString = function()
	{
		return this.str;
	}

// ---------------------------------------------------------------------------
function java_lang_StringBuffer() { this.str = ""; }

	java_lang_StringBuffer.prototype.c = function(str)
	{
		if(str == null) str = "";
		this.str = str;
	}
	
	java_lang_StringBuffer.prototype.append = function(str)
	{
		this.str += str;
		return this;
	}
	
	java_lang_StringBuffer.prototype.toString = function()
	{
		return this.str;
	}

// ---------------------------------------------------------------------------
function com_moyokit_framework_web_JsUtil() {}

	com_moyokit_framework_web_JsUtil.encodeSingleQuoteString = function(str)
	{
		// TODO: Encode all special chars including the single quote (')
		return str;
	}

	com_moyokit_framework_web_JsUtil.changeDisplay = function(id, value)
	{
		var element = document.getElementById(id);
		
		if(element != null)
		{
			element.style.display = value;
		}
	}

	com_moyokit_framework_web_JsUtil.changeVisibility = function(id, value)
	{
		var element = document.getElementById(id);
		
		if(element != null)
		{
			element.style.visibility = value;
		}
	}

	com_moyokit_framework_web_JsUtil.changeClassName = function(id, value)
	{
		var element = document.getElementById(id);
		
		if(element != null)
		{
			element.className = value;
		}
	}

	com_moyokit_framework_web_JsUtil.checkEnter = function(form_name, event)
	{ 	
		NS4 = (document.layers) ? true : false;
		var code = 0;
		if (NS4)
			code = event.which;
		else
			code = event.keyCode;
		if (code==13)
		{
			form_name.submit();
			return false;
		}
		return true;
	}

	com_moyokit_framework_web_JsUtil.getOrCreateHiddenInput = function(name)
	{
		var element = document.getElementById(name);
		
		if(element == null)
		{
			try
			{
				element = document.createElement("<input type=\"hidden\" id=\"" + name + "\" name=\"" + name + "\">");
			}
			catch(e)
			{
				element = document.createElement("INPUT");
				element.setAttribute("type", "hidden"); 
				element.setAttribute("id", name); 
				element.setAttribute("name", name); 
			}
			
			document.getElementById("moyokit_page_form").appendChild(element);
		}
		
		return element;
	}
		
	com_moyokit_framework_web_JsUtil.submitAction = function(componentUniqueName, paramNames, paramValues)
	{
		var actionInput = com_moyokit_framework_web_JsUtil.getOrCreateHiddenInput("action");
		
		if(actionInput != null)
		{
			actionInput.value = componentUniqueName;
			
			if(paramNames != null && paramValues != null && paramNames.length > 0 && paramNames.length == paramValues.length)
			{
				for(var i=0; i<paramNames.length; i++)
				{
					var input = com_moyokit_framework_web_JsUtil.getOrCreateHiddenInput(
						componentUniqueName + "_" + paramNames[i]
						);
					
					if(input != null)
					{
						input.value = paramValues[i];
					}
				}
			}
			
			com_moyokit_framework_web_JsUtil.submitPageForm();
		}
	}
		
	com_moyokit_framework_web_JsUtil.submitStateChange = function(stateUniqueName, stateValue)
	{
		var input = com_moyokit_framework_web_JsUtil.getOrCreateHiddenInput(stateUniqueName);
		
		if(input != null)
		{
			input.value = stateValue;
			com_moyokit_framework_web_JsUtil.submitPageForm();
		}
	}
		
	com_moyokit_framework_web_JsUtil.submitGoto = function(moduleUniqueName, location)
	{
		var input = com_moyokit_framework_web_JsUtil.getOrCreateHiddenInput("goto_module");
		
		if(input != null)
		{
			input.value = moduleUniqueName;
		}
		
		input = com_moyokit_framework_web_JsUtil.getOrCreateHiddenInput("goto_location");
		
		if(input != null)
		{
			input.value = location;
		}
		
		com_moyokit_framework_web_JsUtil.submitPageForm();
	}

	com_moyokit_framework_web_JsUtil.s_pageFormSubmitRunning = false;
	com_moyokit_framework_web_JsUtil.s_pageFormDirty = false;
	
	com_moyokit_framework_web_JsUtil.submitPageForm = function()
	{
		com_moyokit_framework_web_JsUtil.s_pageFormSubmitRunning = true;
		com_moyokit_framework_web_JsUtil.s_pageFormDirty = false;
		
		document.getElementById("moyokit_page_form").submit();
	}

	com_moyokit_framework_web_JsUtil.buildPageFormParameters = function()
	{
		var pageForm = document.getElementById("moyokit_page_form");
		
		var inputs = pageForm.getElementsByTagName("input");
		var selects = pageForm.getElementsByTagName("select");
		var textareas = pageForm.getElementsByTagName("textarea");
		
		var parameters = "";
		
		if(inputs != null)
		{
			for(var i=0; i<inputs.length; i++)
			{
				var inputElement = inputs[i];
				
				if(inputElement != null)
				{
					if(inputElement.type == "text" || inputElement.type == "hidden")
					{
						parameters += inputElement.name + "=" +
							encodeURIComponent(inputElement.value) + "&";
					}
					else if(inputElement.type == "checkbox")
					{
						if(inputElement.checked)
						{
							parameters += inputElement.name + "=" +
								encodeURIComponent(inputElement.value) + "&";
						}
					}
					else if(inputElement.type == "radio")
					{
						if(inputElement.checked)
						{
							parameters += inputElement.name + "=" +
								encodeURIComponent(inputElement.value) + "&";
						}
					}
				}
			}
		}

		if(selects != null)
		{
			for(var i=0; i<selects.length; i++)
			{
				var selectElement = selects[i];
				
				if(selectElement != null)
				{
					parameters += selectElement.name + "=" + 
						encodeURIComponent(selectElement.options[selectElement.selectedIndex].value) +
						"&";
				}
			}
		}		

		if(textareas != null)
		{
			for(var i=0; i<textareas.length; i++)
			{
				var textareaElement = textareas[i];
				
				if(textareaElement != null)
				{
					parameters += textareaElement.name + "=" + 
						encodeURIComponent(textareaElement.value) + "&";
				}
			}
		}
		
		return parameters;
	}
	
	com_moyokit_framework_web_JsUtil.submitPageFormWithAjax = function()
	{
		if(!com_moyokit_framework_web_JsUtil.s_pageFormSubmitRunning)
		{
			com_moyokit_framework_web_JsUtil.s_pageFormSubmitRunning = true;
			com_moyokit_framework_web_JsUtil.s_pageFormDirty = false;

			var xmlHttp = com_moyokit_framework_web_JsUtil.createXmlHttp();
			
			if(xmlHttp != null)
			{
				xmlHttp.onreadystatechange = function()
				{
				  if(xmlHttp.readyState == 4)
				  {
				    com_moyokit_framework_web_JsUtil.submitPageFormWithAjax_handleResponse(xmlHttp.responseText);
				  }
				}

				var url = document.getElementById("moyokit_page_form").action;

				if(url.indexOf("?") > 0)
				{
					url += "&";
				} 
				else
				{
					url += "?";
				}

				url += "moyokit_ajax=1";
				
				parameters = com_moyokit_framework_web_JsUtil.buildPageFormParameters();

				xmlHttp.open("POST", url, true);
				xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
				xmlHttp.setRequestHeader("Content-length", parameters.length);
				xmlHttp.setRequestHeader("Connection", "close");
				xmlHttp.send(parameters);
			}
			else
			{
				com_moyokit_framework_web_JsUtil.s_pageFormSubmitRunning = false;
			}
		}
	}

	com_moyokit_framework_web_JsUtil.submitPageFormWithAjax_handleResponse = function(response)
	{
		com_moyokit_framework_web_JsUtil.s_pageFormSubmitRunning = false;
		
		if(com_moyokit_framework_web_JsUtil.s_pageFormDirty)
		{
			com_moyokit_framework_web_JsUtil.s_pageFormDirty = false;
			// com_moyokit_framework_web_JsUtil.submitPageFormWithAjax();
		}
	}

	com_moyokit_framework_web_JsUtil.firePageFormChanged = function()
	{
		com_moyokit_framework_web_JsUtil.s_pageFormDirty = true;
		com_moyokit_framework_web_JsUtil.submitPageFormWithAjax();
	}

	com_moyokit_framework_web_JsUtil.createXmlHttp = function()
	{
		var xmlHttp;
		
		try
		{
		  //Firefox, Opera 8.0+, Safari
		  xmlHttp = new XMLHttpRequest();
		}
		catch(e)
		{
		  //Internet Explorer
		  try
		  {
		    xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
		  }
		  catch(e)
		  {
		    try
		    {
		      xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
		    }
		    catch(e)
		    {
		      return null;
		    }
		  }
		}
		
		return xmlHttp;
	}

	com_moyokit_framework_web_JsUtil.registerCallback = function(element, eventName, callbackFunction)
	{
		if(element == null)
		{
			return;
		}
		
		if(element.attachEvent)
		{
			element.attachEvent("on" + eventName, callbackFunction);
		}
		else if(element.addEventListener)
		{
			element.addEventListener(eventName, callbackFunction, true);
		}
		else
		{
			element["on" + eventName] = callbackFunction;
		}
	}

	com_moyokit_framework_web_JsUtil.createDivWidth = function(webId, width)
	{
		var newItem = null;
		
		try
		{
			newItem = document.createElement("<div style=\"width: " + width + ";\" id=\"" + webId + "\">");
		}
		catch(e)
		{
			newItem = document.createElement("DIV");
			newItem.setAttribute("style", "width: " + width + ";"); 
			newItem.setAttribute("id", webId); 
		}
		
		return newItem;
	}

	com_moyokit_framework_web_JsUtil.alert = function(text)
	{
		alert(text);
	}

	com_moyokit_framework_web_JsUtil.fireDocumentMouseDown = function(event)
	{
		if(!event)
		{
			event = window.event;
		}
		
		var target;
		
		if(event.target)
		{
			target = event.target;
		}
		else if(event.srcElement)
		{
			target = event.srcElement;
		}
		
		if(target.nodeType == 3) // Safari bug
		{
			target = target.parentNode;
		}

		com_moyokit_framework_web_dom_DomUtil.fireDocumentMouseDown(event, target);
	}

	com_moyokit_framework_web_JsUtil.fireDocumentMouseMove = function(event)
	{
		if(!event)
		{
			event = window.event;
		}
		
		var target;
		
		if(event.target)
		{
			target = event.target;
		}
		else if(event.srcElement)
		{
			target = event.srcElement;
		}
		
		if(target.nodeType == 3) // Safari bug
		{
			target = target.parentNode;
		}

		com_moyokit_framework_web_dom_DomUtil.fireDocumentMouseMove(event, target);
	}

	com_moyokit_framework_web_JsUtil.changeActiveContentVisibility = function(showOrHide)
	{
		if( !/msie/i.test(navigator.userAgent) && !/opera/i.test(navigator.userAgent) )
		{
			return;
		}
	
		// var tags = new Array("applet", "iframe", "select");
		var elements = document.getElementsByTagName("select");
		
		for(var i = elements.length - 1; i >= 0; i--)
		{
			var element = elements[i];
	
			if(showOrHide)
			{
				if(element._backup_visibility != null)
				{
					element.style.visibility = element._backup_visibility;
				}
			}
			else
			{
				if(element._backup_visibility == null)
				{
					element._backup_visibility = element.style.visibility;
				}
				
				element.style.visibility = "hidden";
			}
		}
	}

	com_moyokit_framework_web_JsUtil.getMouseX = function(event)
	{
		if(event == null)
		{
			return 0;
		}
		
		if(event.pageX)
		{
			return event.pageX;
		}
		
		return event.clientX + document.body.scrollLeft - document.body.clientLeft;
	}

	com_moyokit_framework_web_JsUtil.getMouseY = function(event)
	{
		if(event == null)
		{
			return 0;
		}
		
		if(event.pageY)
		{
			return event.pageY;
		}
		
		return event.clientY + document.body.scrollTop - document.body.clientTop;
	}

	com_moyokit_framework_web_JsUtil.getElementPageX = function(element)
	{
		var x = 0;
		
		if(element.offsetParent)
		{
			do
			{
				x += element.offsetLeft;
			} while(element = element.offsetParent);
		}
		
		return x;
	}

	com_moyokit_framework_web_JsUtil.getElementPageY = function(element)
	{
		var y = 0;
		
		if(element.offsetParent)
		{
			do
			{
				y += element.offsetTop;
			} while(element = element.offsetParent);
		}
		
		return y;
	}
	
// ---------------------------------------------------------------------------
function com_moyokit_framework_web_WebUtil() {}

	com_moyokit_framework_web_WebUtil.toHtml = function(str)
	{
		// TODO
		return str;
	}

// ---------------------------------------------------------------------------
function java_util_ArrayList()
	{
		this.m_items = [];
		this.c();
	}
	
	java_util_ArrayList.prototype = new java_lang_Object();
	java_util_ArrayList.prototype.constructor = java_util_ArrayList;
	java_util_ArrayList.prototype.c = function() {}
	
	java_util_ArrayList.prototype.add = function(item)
	{
		this.m_items.push(item);
	}
	
	java_util_ArrayList.prototype.size = function()
	{
		return this.m_items.length;
	}
	
	java_util_ArrayList.prototype.get = function(index)
	{
		return this.m_items[index];
	}
	
	java_util_ArrayList.prototype.iterator = function()
	{
		var iterator = new java_util_ArrayList_Iterator();
		iterator.c(this.m_items);
		
		return iterator;
	}

function java_util_ArrayList_Iterator()
	{
		this.m_items = [];
		this.m_index = 0;
	}
	
	java_util_ArrayList_Iterator.prototype = new java_lang_Object();
	java_util_ArrayList_Iterator.prototype.constructor = java_util_ArrayList_Iterator;
	
	java_util_ArrayList_Iterator.prototype.c = function(items)
	{
		this.m_items = items;
		this.m_index = 0;
	}
	
	java_util_ArrayList_Iterator.prototype.hasNext = function()
	{
		return this.m_items.length > this.m_index;
	}
	
	java_util_ArrayList_Iterator.prototype.next = function()
	{
		return this.m_items[this.m_index++];
	}

// ---------------------------------------------------------------------------

function com_moyokit_framework_web_dom_DomElementHandler(element)
	{
		this.m_element = null;
		this.m_keyListeners = new java_util_ArrayList();
	}

	com_moyokit_framework_web_dom_DomElementHandler.prototype = new java_lang_Object();
	com_moyokit_framework_web_dom_DomElementHandler.prototype.constructor = com_moyokit_framework_web_dom_DomElementHandler;
	
	com_moyokit_framework_web_dom_DomElementHandler.prototype.c = function(element)
	{
		this.m_element = element;
		
		if(this.m_element != null && this.m_element._moyokit_handler == null)
		{
			this.m_element._moyokit_handler = this;
			
			com_moyokit_framework_web_JsUtil.registerCallback(
				this.m_element,
				"keydown",
				com_moyokit_framework_web_dom_DomElementHandler.fireKeyDown
				);
		}
	}
	
	com_moyokit_framework_web_dom_DomElementHandler.prototype.addKeyListener = function(listener)
	{
		this.m_keyListeners.add(listener);
	}
	
	com_moyokit_framework_web_dom_DomElementHandler.fireKeyDown = function(event)
	{
		if(!event)
		{
			event = window.event;
		}
		
		var target;
		
		if(event.target)
		{
			target = event.target;
		}
		else if(event.srcElement)
		{
			target = event.srcElement;
		}
		if(target.nodeType == 3) // Safari bug
		{
			target = target.parentNode;
		}
		
		if(target != null && target._moyokit_handler != null)
		{
			var listeners = target._moyokit_handler.m_keyListeners;

			if(listeners != null)
			{
				for(var i=0; i<listeners.size(); i++)
				{
					listeners.get(i).keyPressed(event, target);
				}
			}
		}
	}

// ---------------------------------------------------------------------------
// Callbacks
// ---------------------------------------------------------------------------

com_moyokit_framework_web_JsUtil.registerCallback(
	document,
	"mousedown",
	com_moyokit_framework_web_JsUtil.fireDocumentMouseDown
	);

com_moyokit_framework_web_JsUtil.registerCallback(
	document,
	"mousemove",
	com_moyokit_framework_web_JsUtil.fireDocumentMouseMove
	);

//window.onload = function() {
//}
function com_moyokit_framework_web_dom_DomUtil() { this.__init__(); }
com_moyokit_framework_web_dom_DomUtil.prototype=new java_lang_Object();
com_moyokit_framework_web_dom_DomUtil.prototype.constructor=com_moyokit_framework_web_dom_DomUtil;

com_moyokit_framework_web_dom_DomUtil.s_listeners = null;
com_moyokit_framework_web_dom_DomUtil.__clinit__ = function()
{
var _s = new Array();
var _l = new Array();
var _sp = 0;
var _val1;
var _val2;
var _j = 0;
while(true) {
switch(_j) {
case 0:
case 22447700:
_s[_sp++] = new java_util_ArrayList();
_s[_sp] = _s[_sp - 1]; _sp++;
_sp -= 1; _s[_sp].c();
com_moyokit_framework_web_dom_DomUtil.s_listeners = _s[--_sp];
case 9089167:
return;
}}
}
com_moyokit_framework_web_dom_DomUtil.prototype.c = function()
{
var _s = new Array();
var _l = new Array();
var _sp = 0;
var _val1;
var _val2;
_l[0] = this;
var _j = 0;
while(true) {
switch(_j) {
case 0:
case 21860890:
_s[_sp++] = _l[0];
_sp -= 1; _s[_sp] == this ? (java_lang_Object.prototype.c.call(this)) : (_s[_sp].c());
return;
case 28517927:
}}
return this;
}
com_moyokit_framework_web_dom_DomUtil.addDocumentMouseListener = function(p0)
{
var _s = new Array();
var _l = new Array();
var _sp = 0;
var _val1;
var _val2;
_l[0] = p0;
var _j = 0;
while(true) {
switch(_j) {
case 0:
case 9293149:
_s[_sp++] = com_moyokit_framework_web_dom_DomUtil.s_listeners;
_s[_sp++] = _l[0];
_sp -= 2; var _ret = _s[_sp] == this ? (java_util_ArrayList.prototype.add.call(this, _s[_sp + 1])) : (_s[_sp].add(_s[_sp + 1])); _s[_sp++] = _ret;
_val1 = _s[--_sp];

case 27635615:
return;
case 11343231:
}}
}
com_moyokit_framework_web_dom_DomUtil.fireDocumentMouseDown = function(p0, p1)
{
var _s = new Array();
var _l = new Array();
var _sp = 0;
var _val1;
var _val2;
_l[0] = p0;
_l[1] = p1;
var _j = 0;
while(true) {
switch(_j) {
case 0:
case 22958990:
_s[_sp++] = com_moyokit_framework_web_dom_DomUtil.s_listeners;
_sp -= 1; var _ret = _s[_sp] == this ? (java_util_ArrayList.prototype.iterator.call(this)) : (_s[_sp].iterator()); _s[_sp++] = _ret;
_l[3] = _s[--_sp];
_j = 29336531; break;
case 10257140:
_s[_sp++] = _l[3];
_sp -= 1; var _ret = _s[_sp] == this ? (java_util_Iterator.prototype.next.call(this)) : (_s[_sp].next()); _s[_sp++] = _ret;

_l[2] = _s[--_sp];
case 22640653:
_s[_sp++] = _l[2];
_s[_sp++] = _l[0];
_s[_sp++] = _l[1];
_sp -= 3; _s[_sp] == this ? (com_moyokit_framework_web_dom_DomMouseListener.prototype.mousePressed.call(this, _s[_sp + 1], _s[_sp + 2])) : (_s[_sp].mousePressed(_s[_sp + 1], _s[_sp + 2]));
case 29336531:
_s[_sp++] = _l[3];
_sp -= 1; var _ret = _s[_sp] == this ? (java_util_Iterator.prototype.hasNext.call(this)) : (_s[_sp].hasNext()); _s[_sp++] = _ret;
_val1 = _s[--_sp];
if(_val1!=0) {
_j = 10257140; break;
}
case 14207560:
return;
case 13129484:
}}
}
com_moyokit_framework_web_dom_DomUtil.fireDocumentMouseMove = function(p0, p1)
{
var _s = new Array();
var _l = new Array();
var _sp = 0;
var _val1;
var _val2;
_l[0] = p0;
_l[1] = p1;
var _j = 0;
while(true) {
switch(_j) {
case 0:
case 13299949:
_s[_sp++] = com_moyokit_framework_web_dom_DomUtil.s_listeners;
_sp -= 1; var _ret = _s[_sp] == this ? (java_util_ArrayList.prototype.iterator.call(this)) : (_s[_sp].iterator()); _s[_sp++] = _ret;
_l[3] = _s[--_sp];
_j = 26174809; break;
case 21411547:
_s[_sp++] = _l[3];
_sp -= 1; var _ret = _s[_sp] == this ? (java_util_Iterator.prototype.next.call(this)) : (_s[_sp].next()); _s[_sp++] = _ret;

_l[2] = _s[--_sp];
case 26156009:
_s[_sp++] = _l[2];
_s[_sp++] = _l[0];
_s[_sp++] = _l[1];
_sp -= 3; _s[_sp] == this ? (com_moyokit_framework_web_dom_DomMouseListener.prototype.mouseMoved.call(this, _s[_sp + 1], _s[_sp + 2])) : (_s[_sp].mouseMoved(_s[_sp + 1], _s[_sp + 2]));
case 26174809:
_s[_sp++] = _l[3];
_sp -= 1; var _ret = _s[_sp] == this ? (java_util_Iterator.prototype.hasNext.call(this)) : (_s[_sp].hasNext()); _s[_sp++] = _ret;
_val1 = _s[--_sp];
if(_val1!=0) {
_j = 21411547; break;
}
case 7437713:
return;
case 15399793:
}}
}
com_moyokit_framework_web_dom_DomUtil.prototype.__init__ = function() { 
}
com_moyokit_framework_web_dom_DomUtil.__clinit__();
function com_moyosoft_jdplus_ui_menu_MenuLinkClient() { this.__init__(); }
com_moyosoft_jdplus_ui_menu_MenuLinkClient.prototype=new java_lang_Object();
com_moyosoft_jdplus_ui_menu_MenuLinkClient.prototype.constructor=com_moyosoft_jdplus_ui_menu_MenuLinkClient;

com_moyosoft_jdplus_ui_menu_MenuLinkClient.prototype.c_g = function(p0)
{
var _s = new Array();
var _l = new Array();
var _sp = 0;
var _val1;
var _val2;
_l[0] = this;
_l[1] = p0;
var _j = 0;
while(true) {
switch(_j) {
case 0:
_s[_sp++] = _l[0];
_sp -= 1; _s[_sp] == this ? (java_lang_Object.prototype.c.call(this)) : (_s[_sp].c());
_s[_sp++] = _l[0];
_s[_sp++] = _l[1];
_s[_sp - 2].m_webId = _s[_sp - 1]; _sp -= 2;
_s[_sp++] = _l[0];
_sp -= 1; com_moyokit_framework_web_dom_DomUtil.addDocumentMouseListener(_s[_sp + 0]);
return;
}}
return this;
}
com_moyosoft_jdplus_ui_menu_MenuLinkClient.prototype.mousePressed = function(p0, p1)
{
var _s = new Array();
var _l = new Array();
var _sp = 0;
var _val1;
var _val2;
_l[0] = this;
_l[1] = p0;
_l[2] = p1;
var _j = 0;
while(true) {
switch(_j) {
case 0:
_s[_sp++] = _l[0];
_s[_sp++] = _l[1];
_s[_sp++] = _l[2];
_sp -= 3; _s[_sp].handleDocumentMousePressed_lDomMouseEvent_lDomElement(_s[_sp + 1], _s[_sp + 2]);
return;
}}
}
com_moyosoft_jdplus_ui_menu_MenuLinkClient.prototype.handleDocumentMousePressed_lDomMouseEvent_lDomElement = function(p0, p1)
{
var _s = new Array();
var _l = new Array();
var _sp = 0;
var _val1;
var _val2;
_l[0] = this;
_l[1] = p0;
_l[2] = p1;
var _j = 0;
while(true) {
switch(_j) {
case 0:
_s[_sp++] = new java_lang_StringBuilder();
_s[_sp] = _s[_sp - 1]; _sp++;
_sp -= 1; _s[_sp].c();
_s[_sp++] = _l[0];
_s[_sp-1] = _s[_sp-1].m_webId;
_sp -= 2; var _ret = _s[_sp].append(_s[_sp + 1]); _s[_sp++] = _ret;
_s[_sp++] = "_popup";
_sp -= 2; var _ret = _s[_sp].append(_s[_sp + 1]); _s[_sp++] = _ret;
_sp -= 1; var _ret = _s[_sp].toString(); _s[_sp++] = _ret;
_sp -= 1; var _ret = document.getElementById(_s[_sp + 0]); _s[_sp++] = _ret;
_l[3] = _s[--_sp];
_s[_sp++] = _l[3];
_val1 = _s[--_sp];
if(_val1==null) {
_j = 14425860; break;
}
case 24658983:
_s[_sp++] = _l[2];
_s[_sp++] = _l[3];
_val2 = _s[--_sp];
_val1 = _s[--_sp];
if(_val1==_val2) {
_j = 14425860; break;
}
_s[_sp++] = _l[2];
_s[_sp-1] = _s[_sp-1].parentNode;
_l[2] = _s[--_sp];
_s[_sp++] = _l[2];
_val1 = _s[--_sp];
if(_val1!=null) {
_j = 24658983; break;
}
_s[_sp++] = _l[0];
_sp -= 1; _s[_sp].closePopup();
_j = 14425860; break;
case 14425860:
return;
}}
}
com_moyosoft_jdplus_ui_menu_MenuLinkClient.prototype.mouseMoved = function(p0, p1)
{
var _s = new Array();
var _l = new Array();
var _sp = 0;
var _val1;
var _val2;
_l[0] = this;
_l[1] = p0;
_l[2] = p1;
var _j = 0;
while(true) {
switch(_j) {
case 0:
_s[_sp++] = _l[1];
_sp -= 1; var _ret = com_moyokit_framework_web_JsUtil.getMouseX(_s[_sp + 0]); _s[_sp++] = _ret;
_l[3] = _s[--_sp];
_s[_sp++] = _l[1];
_sp -= 1; var _ret = com_moyokit_framework_web_JsUtil.getMouseY(_s[_sp + 0]); _s[_sp++] = _ret;
_l[4] = _s[--_sp];
_s[_sp++] = new java_lang_StringBuilder();
_s[_sp] = _s[_sp - 1]; _sp++;
_sp -= 1; _s[_sp].c();
_s[_sp++] = _l[0];
_s[_sp-1] = _s[_sp-1].m_webId;
_sp -= 2; var _ret = _s[_sp].append(_s[_sp + 1]); _s[_sp++] = _ret;
_s[_sp++] = "_popup";
_sp -= 2; var _ret = _s[_sp].append(_s[_sp + 1]); _s[_sp++] = _ret;
_sp -= 1; var _ret = _s[_sp].toString(); _s[_sp++] = _ret;
_sp -= 1; var _ret = document.getElementById(_s[_sp + 0]); _s[_sp++] = _ret;
_l[5] = _s[--_sp];
_s[_sp++] = new java_lang_StringBuilder();
_s[_sp] = _s[_sp - 1]; _sp++;
_sp -= 1; _s[_sp].c();
_s[_sp++] = _l[0];
_s[_sp-1] = _s[_sp-1].m_webId;
_sp -= 2; var _ret = _s[_sp].append(_s[_sp + 1]); _s[_sp++] = _ret;
_s[_sp++] = "_link";
_sp -= 2; var _ret = _s[_sp].append(_s[_sp + 1]); _s[_sp++] = _ret;
_sp -= 1; var _ret = _s[_sp].toString(); _s[_sp++] = _ret;
_sp -= 1; var _ret = document.getElementById(_s[_sp + 0]); _s[_sp++] = _ret;
_l[6] = _s[--_sp];
_s[_sp++] = _l[5];
_val1 = _s[--_sp];
if(_val1==null) {
_j = 33212498; break;
}
_s[_sp++] = _l[6];
_val1 = _s[--_sp];
if(_val1!=null) {
_j = 24480977; break;
}
case 33212498:
return;
case 24480977:
_s[_sp++] = _l[5];
_sp -= 1; var _ret = com_moyokit_framework_web_JsUtil.getElementPageX(_s[_sp + 0]); _s[_sp++] = _ret;
_l[7] = _s[--_sp];
_s[_sp++] = _l[5];
_sp -= 1; var _ret = com_moyokit_framework_web_JsUtil.getElementPageY(_s[_sp + 0]); _s[_sp++] = _ret;
_l[8] = _s[--_sp];
_s[_sp++] = _l[6];
_sp -= 1; var _ret = com_moyokit_framework_web_JsUtil.getElementPageX(_s[_sp + 0]); _s[_sp++] = _ret;
_l[9] = _s[--_sp];
_s[_sp++] = _l[6];
_sp -= 1; var _ret = com_moyokit_framework_web_JsUtil.getElementPageY(_s[_sp + 0]); _s[_sp++] = _ret;
_l[10] = _s[--_sp];
_s[_sp++] = _l[9];
_s[_sp++] = _l[7];
_val2 = _s[--_sp];
_val1 = _s[--_sp];
if(_val1<=_val2) {
_j = 7339385; break;
}
_s[_sp++] = _l[7];
_l[9] = _s[--_sp];
case 7339385:
_s[_sp++] = 20;
_l[11] = _s[--_sp];
_s[_sp++] = _l[9];
_s[_sp++] = _l[11];
_val2 = _s[--_sp];
_val1 = _s[--_sp];
_s[_sp++] = _val1-_val2;
_l[12] = _s[--_sp];
_s[_sp++] = _l[10];
_s[_sp++] = _l[11];
_val2 = _s[--_sp];
_val1 = _s[--_sp];
_s[_sp++] = _val1-_val2;
_l[13] = _s[--_sp];
_s[_sp++] = _l[7];
_s[_sp++] = _l[5];
_s[_sp-1] = _s[_sp-1].offsetWidth;
_val2 = _s[--_sp];
_val1 = _s[--_sp];
_s[_sp++] = _val1+_val2;
_s[_sp++] = _l[11];
_val2 = _s[--_sp];
_val1 = _s[--_sp];
_s[_sp++] = _val1+_val2;
_l[14] = _s[--_sp];
_s[_sp++] = _l[8];
_s[_sp++] = _l[5];
_s[_sp-1] = _s[_sp-1].offsetHeight;
_val2 = _s[--_sp];
_val1 = _s[--_sp];
_s[_sp++] = _val1+_val2;
_s[_sp++] = _l[11];
_val2 = _s[--_sp];
_val1 = _s[--_sp];
_s[_sp++] = _val1+_val2;
_l[15] = _s[--_sp];
_s[_sp++] = _l[3];
_s[_sp++] = _l[12];
_val2 = _s[--_sp];
_val1 = _s[--_sp];
if(_val1<_val2) {
_j = 6964063; break;
}
_s[_sp++] = _l[3];
_s[_sp++] = _l[14];
_val2 = _s[--_sp];
_val1 = _s[--_sp];
if(_val1>_val2) {
_j = 6964063; break;
}
_s[_sp++] = _l[4];
_s[_sp++] = _l[13];
_val2 = _s[--_sp];
_val1 = _s[--_sp];
if(_val1<_val2) {
_j = 6964063; break;
}
_s[_sp++] = _l[4];
_s[_sp++] = _l[15];
_val2 = _s[--_sp];
_val1 = _s[--_sp];
if(_val1>_val2) {
_j = 6964063; break;
}
return;
case 6964063:
_s[_sp++] = _l[0];
_sp -= 1; _s[_sp].closePopup();
return;
}}
}
com_moyosoft_jdplus_ui_menu_MenuLinkClient.prototype.closePopup = function()
{
var _s = new Array();
var _l = new Array();
var _sp = 0;
var _val1;
var _val2;
_l[0] = this;
var _j = 0;
while(true) {
switch(_j) {
case 0:
_s[_sp++] = new java_lang_StringBuilder();
_s[_sp] = _s[_sp - 1]; _sp++;
_sp -= 1; _s[_sp].c();
_s[_sp++] = _l[0];
_s[_sp-1] = _s[_sp-1].m_webId;
_sp -= 2; var _ret = _s[_sp].append(_s[_sp + 1]); _s[_sp++] = _ret;
_s[_sp++] = "_popup";
_sp -= 2; var _ret = _s[_sp].append(_s[_sp + 1]); _s[_sp++] = _ret;
_sp -= 1; var _ret = _s[_sp].toString(); _s[_sp++] = _ret;
_sp -= 1; var _ret = document.getElementById(_s[_sp + 0]); _s[_sp++] = _ret;
_l[1] = _s[--_sp];
_s[_sp++] = _l[1];
_val1 = _s[--_sp];
if(_val1==null) {
_j = 7149392; break;
}
_s[_sp++] = _l[1];
_s[_sp-1] = _s[_sp-1].style;
_s[_sp-1] = _s[_sp-1].visibility;
_s[_sp++] = "visible";
_val2 = _s[--_sp];
_val1 = _s[--_sp];
if(_val1!=_val2) {
_j = 7149392; break;
}
_s[_sp++] = new java_lang_StringBuilder();
_s[_sp] = _s[_sp - 1]; _sp++;
_sp -= 1; _s[_sp].c();
_s[_sp++] = _l[0];
_s[_sp-1] = _s[_sp-1].m_webId;
_sp -= 2; var _ret = _s[_sp].append(_s[_sp + 1]); _s[_sp++] = _ret;
_s[_sp++] = "_link";
_sp -= 2; var _ret = _s[_sp].append(_s[_sp + 1]); _s[_sp++] = _ret;
_sp -= 1; var _ret = _s[_sp].toString(); _s[_sp++] = _ret;
_sp -= 1; var _ret = document.getElementById(_s[_sp + 0]); _s[_sp++] = _ret;
_l[2] = _s[--_sp];
_s[_sp++] = _l[2];
_val1 = _s[--_sp];
if(_val1==null) {
_j = 2003979; break;
}
_s[_sp++] = _l[2];
_s[_sp++] = "jdp_menu_link";
_s[_sp - 2].className = _s[_sp - 1]; _sp -= 2;
case 2003979:
_s[_sp++] = _l[1];
_s[_sp-1] = _s[_sp-1].style;
_s[_sp++] = "hidden";
_s[_sp - 2].visibility = _s[_sp - 1]; _sp -= 2;
_s[_sp++] = 1;
_sp -= 1; com_moyokit_framework_web_JsUtil.changeActiveContentVisibility(_s[_sp + 0]);
case 7149392:
return;
}}
}
com_moyosoft_jdplus_ui_menu_MenuLinkClient.prototype.openPopup = function()
{
var _s = new Array();
var _l = new Array();
var _sp = 0;
var _val1;
var _val2;
_l[0] = this;
var _j = 0;
while(true) {
switch(_j) {
case 0:
_s[_sp++] = new java_lang_StringBuilder();
_s[_sp] = _s[_sp - 1]; _sp++;
_sp -= 1; _s[_sp].c();
_s[_sp++] = _l[0];
_s[_sp-1] = _s[_sp-1].m_webId;
_sp -= 2; var _ret = _s[_sp].append(_s[_sp + 1]); _s[_sp++] = _ret;
_s[_sp++] = "_popup";
_sp -= 2; var _ret = _s[_sp].append(_s[_sp + 1]); _s[_sp++] = _ret;
_sp -= 1; var _ret = _s[_sp].toString(); _s[_sp++] = _ret;
_sp -= 1; var _ret = document.getElementById(_s[_sp + 0]); _s[_sp++] = _ret;
_l[1] = _s[--_sp];
_s[_sp++] = _l[1];
_val1 = _s[--_sp];
if(_val1==null) {
_j = 25781085; break;
}
_s[_sp++] = _l[1];
_s[_sp-1] = _s[_sp-1].style;
_s[_sp-1] = _s[_sp-1].visibility;
_s[_sp++] = "visible";
_val2 = _s[--_sp];
_val1 = _s[--_sp];
if(_val1==_val2) {
_j = 25781085; break;
}
_s[_sp++] = new java_lang_StringBuilder();
_s[_sp] = _s[_sp - 1]; _sp++;
_sp -= 1; _s[_sp].c();
_s[_sp++] = _l[0];
_s[_sp-1] = _s[_sp-1].m_webId;
_sp -= 2; var _ret = _s[_sp].append(_s[_sp + 1]); _s[_sp++] = _ret;
_s[_sp++] = "_link";
_sp -= 2; var _ret = _s[_sp].append(_s[_sp + 1]); _s[_sp++] = _ret;
_sp -= 1; var _ret = _s[_sp].toString(); _s[_sp++] = _ret;
_sp -= 1; var _ret = document.getElementById(_s[_sp + 0]); _s[_sp++] = _ret;
_l[2] = _s[--_sp];
_s[_sp++] = _l[2];
_val1 = _s[--_sp];
if(_val1==null) {
_j = 15029693; break;
}
_s[_sp++] = _l[2];
_s[_sp++] = "jdp_menu_link_selected";
_s[_sp - 2].className = _s[_sp - 1]; _sp -= 2;
case 15029693:
_s[_sp++] = 0;
_sp -= 1; com_moyokit_framework_web_JsUtil.changeActiveContentVisibility(_s[_sp + 0]);
_s[_sp++] = _l[1];
_s[_sp-1] = _s[_sp-1].style;
_s[_sp++] = "visible";
_s[_sp - 2].visibility = _s[_sp - 1]; _sp -= 2;
case 25781085:
return;
}}
}
com_moyosoft_jdplus_ui_menu_MenuLinkClient.prototype.__init__ = function() { 
this.m_webId = null;
}

